//Shariff class(s)
::SheriffRolesList <- []
::SheriffRoleText <- function(target) {
	local gametext = SpawnEntityFromTable("game_text",{ 	
		 			message 	= "You are a Sheriff", 
		 			x 			= -1, 
		 			y 			= 0.25,
		 			holdtime 	= 5,
		 			channel 	= 1,
		 			fadein 		= 1,
		 			fadeout 	= 1.5,
		 			color 		= "100 100 100",
		 			color2 		= "240 110 0",
		 			})
	EntFireByHandle(gametext, "Display", "", 0, target, target)
	EntFireByHandle(gametext, "Kill", "", 10, target, target)
}

function DefaultSheriffClass() {
    local sheriff 		= playerlist.remove(RandomInt(0, playerlist.len() - 1))
	sheriff.Regenerate(true)
	local sheriffgun 	= NetProps.GetPropEntityArray(sheriff, "m_hMyWeapons", 0)
	local sheriffknife 	= NetProps.GetPropEntityArray(sheriff, "m_hMyWeapons", 1)
	local sheriffsapper = NetProps.GetPropEntityArray(sheriff, "m_hMyWeapons", 2)
	local sheriffpda 	= NetProps.GetPropEntityArray(sheriff, "m_hMyWeapons", 3)
	local sheriffinvis 	= NetProps.GetPropEntityArray(sheriff, "m_hMyWeapons", 4)
	//sheriff settings
		sheriff.Weapon_SetLast(sheriffsapper)
		if (sheriffpda		!= null) {sheriffpda.Kill()}
		if (sheriffknife 	!= null) {sheriffknife.Kill()}
		if (sheriffinvis 	!= null) {sheriffinvis.Kill()}

		//add attributes 		//the attribute 				 //modifyer   //duration
		sheriffgun.AddAttribute("damage bonus", 					10, 		-1)
		sheriffgun.AddAttribute("Reload time decreased", 			4.5, 		-1)
		sheriffgun.AddAttribute("fire rate penalty", 				1, 			-1)
		sheriffgun.AddAttribute("maxammo secondary increased", 		10, 		-1)
		sheriffgun.AddAttribute("mod max primary clip override", 	1, 			-1)
		sheriffgun.AddAttribute("cannot disguise", 					1, 			-1)
		sheriffgun.SetClip1(0)	

		sheriff.Weapon_Switch(sheriffsapper)
		sheriff.ForceChangeTeam(2, true)
		local sheriffcosmetic = null
		while(sheriffcosmetic = Entities.FindByClassname(sheriffcosmetic, "tf_wearable")){
			if (sheriffcosmetic.GetOwner() == self) {sheriffcosmetic.SetTeam(2)}
		}
		SheriffRoleText(sheriff)
}