//Bystander class(s)
::BystanderRolesList <- []
::BystanderRoleText <- function(target) {
	local gametext = SpawnEntityFromTable("game_text",{
			 	message 	= "You are a Bystander", 
			 	x 			= -1, 
			 	y 			= 0.25,
			 	holdtime 	= 5,
			 	channel 	= 1,
			 	fadein 		= 1,
			 	fadeout 	= 1.5,
			 	color 		= "100 100 100",
			 	color2 		= "240 110 0",
			 	})
	EntFireByHandle(gametext, "Display", "", 0, target, target)
	EntFireByHandle(gametext, "Kill", "", 10, target, target)
}

function DefaultBystanderClass() {
    local bystander 		= playerlist.pop()
	local bystandergun 		= NetProps.GetPropEntityArray(bystander, "m_hMyWeapons", 0)
	local bystanderknife 	= NetProps.GetPropEntityArray(bystander, "m_hMyWeapons", 1)
	local bystandersapper 	= NetProps.GetPropEntityArray(bystander, "m_hMyWeapons", 2)
	local bystanderpda 		= NetProps.GetPropEntityArray(bystander, "m_hMyWeapons", 3)
	local bystanderinvis 	= NetProps.GetPropEntityArray(bystander, "m_hMyWeapons", 4)
	//bystander settings
	    if (bystandergun 	!= null) {bystandergun.Kill()}
		if (bystanderknife 	!= null) {bystanderknife.Kill()}
		if (bystanderinvis	!= null) {bystanderinvis.Kill()}
		bystander.Weapon_Switch(bystandersapper)
		bystander.ForceChangeTeam(2, true)
		local bystandercosmetic = null
		while(bystandercosmetic = Entities.FindByClassname(bystandercosmetic, "tf_wearable")){
			if (bystandercosmetic.GetOwner() == bystander){
				bystandercosmetic.SetTeam(2)
			}
		}
		BystanderRoleText(bystander)
}