IncludeScript("murdermystery/RoleController.nut")
liveplycount 			<- null
::PlayerManager <- Entities.FindByClassname(null, "tf_player_manager");
::GetPlayerUserID <- function(player){
    return NetProps.GetPropIntArray(PlayerManager, "m_iUserID", player.entindex());
}

const RETHINK_TIME = 1
function worldwatch() {//printl("world watch running")
    liveplycount = 0
	local playersalive = null
	while(playersalive = Entities.FindByClassname(playersalive, "player")){
		local lifestate = NetProps.GetPropInt(playersalive, "m_lifeState")
		if (lifestate == 0) {
			if (liveplycount == null) {
				liveplycount = 1
			}
			else{
			    liveplycount = liveplycount += 1
			}
		}
	}

	local roundwin = Entities.FindByName(null, "game_round_win_blu")
    if (liveplycount <= 1 && GetRoundState() == 4 && IsInWaitingForPlayers() != true) {
		//printl("round end due to low player count")
		local roundend = SpawnEntityFromTable("game_round_win", {
                TeamNum         = 3, // 2 for red, 3 for blue, 0 for none
                switch_teams    = 0,
                force_map_reset = 1,
        })
		foreach (player in murderers) {
		if (player != null) {player.ForceChangeTeam(3, true)} //errored 
		}
		Convars.SetValue("tf_gravetalk", 1)
		Convars.SetValue("mp_respawnwavetime", 1)
		EntFireByHandle(roundend, "RoundWin", "", 0, roundend, roundend); EntFireByHandle(roundend, "Kill", "", 10, roundend, roundend)
	}
    return RETHINK_TIME
}


function OnGameEvent_player_death(params){
	foreach (player in murderers) {
		if(params.userid == GetPlayerUserID(player)) {
			//printl("round end due to murderer dying")
			local roundend = SpawnEntityFromTable("game_round_win", {
    	            TeamNum         = 2, // 2 for red, 3 for blue, 1 for spec
    	            switch_teams    = 0,
    	            force_map_reset = 1,
    	    })
			if (player != null && player.GetTeam() != 1) {player.ForceChangeTeam(3, true)}
			EndRoundConvars()
			EntFireByHandle(roundend, "RoundWin", "", 0.1, roundend, roundend); EntFireByHandle(roundend, "Kill", "", 10, roundend, roundend)
		}
	}
}

function TimeRanOut() {
	local roundend = SpawnEntityFromTable("game_round_win", {
            TeamNum         = 2, // 2 for red, 3 for blue, 0 for none, 1 ?
            switch_teams    = 0,
            force_map_reset = 1,
    })
	foreach (player in murderers) {
	if (player != null && player.GetTeam() != 1) {player.ForceChangeTeam(3, true)}
	}
	EndRoundConvars()
	EntFireByHandle(roundend, "RoundWin", "", 0.1, roundend, roundend); EntFireByHandle(roundend, "Kill", "", 10, roundend, roundend)
}

function OnPostSpawn() {
	Convars.SetValue("mp_friendlyfire", 	1)
	Convars.SetValue("mp_autoteambalance", 	0)
	Convars.SetValue("tf_dropped_weapon_lifetime", 	0)
	Convars.SetValue("sv_alltalk", 			1)
}
